javax.media.j3d

## Class PickSegment

- java.lang.Object
- - javax.media.j3d.PickShape
  - - javax.media.j3d.PickSegment

    public final class PickSegment
    extends PickShape

PickSegment is a line segment pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

### Constructor Summary

Constructors
Constructor and Description
`PickSegment()` Constructs an empty PickSegment.
`PickSegment(Point3d start, Point3d end)` Constructs a line segment pick shape from the specified parameters.

### Method Summary

Methods
`void` `get(Point3d start, Point3d end)` Gets the parameters from this PickSegment.
`void` `set(Point3d start, Point3d end)` Sets the parameters of this PickSegment to the specified values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PickSegment

    public PickSegment()

Constructs an empty PickSegment. The start and end points of the line segment are initialized to (0,0,0).

#### PickSegment

    public PickSegment(Point3d start,
               Point3d end)

Constructs a line segment pick shape from the specified parameters.

Parameters:
  `start` - the start point of the line segment.
  `end` - the end point of the line segment.

### Method Detail

#### set

    public void set(Point3d start,
           Point3d end)

Sets the parameters of this PickSegment to the specified values.

Parameters:
  `start` - the start point of the line segment.
  `end` - the end point of the line segment.

#### get

    public void get(Point3d start,
           Point3d end)

Gets the parameters from this PickSegment.

Parameters:
  `start` - the Point3d object into which the start point will be copied.
  `end` - the Point3d object into which the end point will be copied.